com.singularsys.jep

## Class ParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.singularsys.jep.JepException
      - - com.singularsys.jep.ParseException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    GrammarException

      public class ParseException
      extends JepException

  Exception thrown at parse time.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ParseException` | `jccpe`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParseException()`
    `ParseException(java.lang.String message)`
    `ParseException(java.lang.String message, int lineNumber, int columnNumber)`
    `ParseException(java.lang.String message, java.lang.Throwable cause)`
    `ParseException(java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumnNumber()` Return the column number where the error occurred, or -1 if not available.
    `int` | `getLineNumber()` Return the line number where the error occurred, or -1 if not available.
    `java.lang.String` | `getMessage()`
    `void` | `setPosition(int lineNum, int colNum)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### jccpe

          public ParseException jccpe

  - ### Constructor Detail

    - #### ParseException

          public ParseException()

    - #### ParseException

          public ParseException(java.lang.String message)

      Parameters:
        `message` -

    - #### ParseException

          public ParseException(java.lang.String message,
                                int lineNumber,
                                int columnNumber)

    - #### ParseException

          public ParseException(java.lang.String message,
                                java.lang.Throwable cause)

      Parameters:
        `message` -
        `cause` -

    - #### ParseException

          public ParseException(java.lang.Throwable cause)

      Parameters:
        `cause` -

  - ### Method Detail

    - #### getLineNumber

          public int getLineNumber()

      Return the line number where the error occurred, or -1 if not available.

    - #### getColumnNumber

          public int getColumnNumber()

      Return the column number where the error occurred, or -1 if not available.

    - #### setPosition

          public void setPosition(int lineNum,
                                  int colNum)

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`

Copyright © 2018 Singular Systems http://www.singularsys.com/jep